"""
    Freqtrade API

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)  # noqa: E501

    The version of the OpenAPI document: 2021.9-dev10
    Generated by: https://openapi-generator.tech
"""


import unittest

import ftclient
from ftclient.api.candle_data_api import CandleDataApi  # noqa: E501


class TestCandleDataApi(unittest.TestCase):
    """CandleDataApi unit test stubs"""

    def setUp(self):
        self.api = CandleDataApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_list_available_pairs_api_v1_available_pairs_get(self):
        """Test case for list_available_pairs_api_v1_available_pairs_get

        List Available Pairs  # noqa: E501
        """
        pass

    def test_pair_candles_api_v1_pair_candles_get(self):
        """Test case for pair_candles_api_v1_pair_candles_get

        Pair Candles  # noqa: E501
        """
        pass

    def test_pair_history_api_v1_pair_history_get(self):
        """Test case for pair_history_api_v1_pair_history_get

        Pair History  # noqa: E501
        """
        pass

    def test_plot_config_api_v1_plot_config_get(self):
        """Test case for plot_config_api_v1_plot_config_get

        Plot Config  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
